#include "Abschnitt.h"
#include <Bildschirm.h>

// Inhalt der Abschnitt Klasse aus Abschnitt.h
// Konstruktor
Abschnitt::Abschnitt( Bildschirm *b )
{
	this->b = b;
	sichtbar = 0;
	ref = 1;
}

// Destruktor
Abschnitt::~Abschnitt()
{
	if( b )
		b->release();
}

int Abschnitt::getColorFromStatus( char *status )
{
    if( Text( "Unbekannt" ).istGleich( status ) )
        return 0xFFFF8800;
    if( Text( "Unerreichbar" ).istGleich( status ) )
        return 0xFFFF0000;
    if( Text( "Offline" ).istGleich( status ) )
        return 0xFFFFFF00;
    if( Text( "Pausiert" ).istGleich( status ) )
        return 0xFF88FF00;
    if( Text( "Online" ).istGleich( status ) )
        return 0xFF00FF00;
    if( Text( "Veraltet" ).istGleich( status ) )
        return 0xFFB0FF00;
    return 0xFFFFFFFF;
}

// constant
bool Abschnitt::istSichtbar() const
{
	return sichtbar;
}